# KISS

KISS (Keep It Simple, Stupid!) is a design philosophy that favors simplicity, solutions that are as as simple as possible to achieve given task, and no more. This comes from the fact that higher [complexity](complexity.md) comes with increasing negative effects such as cost of development, cost of [maintenance](maintenance.md), greater probability of bugs and security vulnerabilities. More about this in [minimalism](minimalism.md) article.

Apparently the term originated in the US Army plane engineering: the planes needed to be repairable by *stupid* soldiers with limited tools under field conditions.

Compared to [suckless](suckless.md), [unix philosophy](unix_philosophy.md) and [LRS](lrs.md), KISS is a more general term, it doesn't imply any specifics but rather the general overall idea of simplicity being an advantage ([less is more](less_is_more.md)).

[KISS Linux](kiss_linux.md) is an example of software developed under this philosophy and adapting the term itself.