#!/bin/sh
# Creates HTML version of the wiki.

echo "making HTML"
rm -rf html
mkdir html

for f in *.md; do
  f2=$(echo "html/$f" | sed "s/\.md/.html/g")

  echo "<html><head><title>LRS Wiki</title></head><body><h1>based_wiki</h1><a href=\"main.html\">main page</a><hr />" > $f2
  markdown $f | sed "s/\.md\"/.html\"/g" >> $f2
  echo "<hr/><p>All content available under <a href="https://creativecommons.org/publicdomain/zero/1.0/">CC0 1.0</a> (public domain).</p></body></html>" >> $f2
done

echo "<html><head></head><body><a href="main.html">Go to main page.</a></body></html>" >> html/index.html

echo "done"
