# Technological Minimalism

Technological minimalism is a philosophy of designing technology to be as simple as possible while still achieving given goal. Minimalism is one of the most (if not the most) important concepts in [programming](programming.md).

Up until recently in history every engineer would tell you that *the better machine is that with fewer moving parts*. This still seems to hold in mathematics, an area inhabited by the smartest people, where there is a tendency to look for the most minimal equations -- such equations are considered [beautiful](beauty.md). Science also knows this rule as the Occam's razor. In technology invaded by aggressive commercialization the situation is different, minimalism lives only in the underground as part of such philosophies as [suckless](suckless.md), [Unix](unix_philosophy.md), [KISS](kiss.md), countercomplex and, of course, [less retarded software](lrs.md).

Under [capitalism](capitalism.md) technological minimalism dies with possibly only the "shallow" kind of minimalism surviving. This so called "minimalism" tries to make things look minimal only aesthetically and hides ugly overcomplicated internals under this facade. [Apple](apple.md) is known for this [shit](shit.md).